diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.32/src/wifi/model/interference-helper.h ns-3.33/src/wifi/model/interference-helper.h
--- ns-3.32/src/wifi/model/interference-helper.h	2020-10-06 15:35:43.000000000 -0700
+++ ns-3.33/src/wifi/model/interference-helper.h	2021-01-09 10:19:22.000000000 -0800
@@ -22,6 +22,7 @@
 #define INTERFERENCE_HELPER_H
 
 #include "ns3/nstime.h"
+#include "ns3/wifi-spectrum-value-helper.h"
 #include "wifi-tx-vector.h"
 #include <map>
 
@@ -32,6 +33,11 @@
 class ErrorRateModel;
 
 /**
+ * A map of the received power (Watts) for each band
+ */
+typedef std::map <WifiSpectrumBand, double> RxPowerWattPerChannelBand;
+
+/**
  * \ingroup wifi
  * \brief handles interference calculations
  * \brief signal event for a PPDU.
@@ -45,18 +51,12 @@
    * \param ppdu the PPDU
    * \param txVector the TXVECTOR
    * \param duration duration of the PPDU
-   * \param rxPower the received power (w)
+   * \param rxPower the received power per band (W)
    */
-  Event (Ptr<const WifiPpdu> ppdu, WifiTxVector txVector, Time duration, double rxPower);
+  Event (Ptr<const WifiPpdu> ppdu, WifiTxVector txVector, Time duration, RxPowerWattPerChannelBand rxPower);
   ~Event ();
 
   /**
-   * Return the PSDU in the PPDU.
-   *
-   * \return the PSDU in the PPDU
-   */
-  Ptr<const WifiPsdu> GetPsdu (void) const;
-  /**
    * Return the PPDU.
    *
    * \return the PPDU
@@ -81,12 +81,25 @@
    */
   Time GetDuration (void) const;
   /**
-   * Return the received power (w).
+   * Return the total received power (W).
    *
-   * \return the received power (w)
+   * \return the total received power (W)
    */
   double GetRxPowerW (void) const;
   /**
+   * Return the received power (W) for a given band.
+   *
+   * \param band the band for which the power should be returned
+   * \return the received power (W) for a given band
+   */
+  double GetRxPowerW (WifiSpectrumBand band) const;
+  /**
+   * Return the received power (W) for all bands.
+   *
+   * \return the received power (W) for all bands.
+   */
+  RxPowerWattPerChannelBand GetRxPowerWPerBand (void) const;
+  /**
    * Return the TXVECTOR of the PPDU.
    *
    * \return the TXVECTOR of the PPDU
@@ -95,11 +108,11 @@
 
 
 private:
-  Ptr<const WifiPpdu> m_ppdu; ///< PPDU
-  WifiTxVector m_txVector; ///< TXVECTOR
-  Time m_startTime; ///< start time
-  Time m_endTime; ///< end time
-  double m_rxPowerW; ///< received power in watts
+  Ptr<const WifiPpdu> m_ppdu;           //!< PPDU
+  WifiTxVector m_txVector;              //!< TXVECTOR
+  Time m_startTime;                     //!< start time
+  Time m_endTime;                       //!< end time
+  RxPowerWattPerChannelBand m_rxPowerW; //!< received power in watts per band
 };
 
 /**
@@ -136,6 +149,18 @@
   ~InterferenceHelper ();
 
   /**
+   * Add a frequency band.
+   *
+   * \param band the band to be created
+   */
+  void AddBand (WifiSpectrumBand band);
+
+  /**
+   * Remove the frequency bands.
+   */
+  void RemoveBands (void);
+
+  /**
    * Set the noise figure.
    *
    * \param value noise figure in linear scale
@@ -164,30 +189,32 @@
 
   /**
    * \param energyW the minimum energy (W) requested
+   * \param band identify the requested band
    *
    * \returns the expected amount of time the observed
-   *          energy on the medium will be higher than
-   *          the requested threshold.
+   *          energy on the medium for a given band will
+   *          be higher than the requested threshold.
    */
-  Time GetEnergyDuration (double energyW) const;
+  Time GetEnergyDuration (double energyW, WifiSpectrumBand band) const;
 
   /**
    * Add the PPDU-related signal to interference helper.
    *
    * \param ppdu the PPDU
    * \param txVector the TXVECTOR
-   * \param rxPower received power (W)
+   * \param duration the PPDU duration
+   * \param rxPower received power per band (W)
    *
    * \return Event
    */
-  Ptr<Event> Add (Ptr<const WifiPpdu> ppdu, WifiTxVector txVector, Time duration, double rxPower);
+  Ptr<Event> Add (Ptr<const WifiPpdu> ppdu, WifiTxVector txVector, Time duration, RxPowerWattPerChannelBand rxPower);
 
   /**
    * Add a non-Wifi signal to interference helper.
    * \param duration the duration of the signal
-   * \param rxPower received power (W)
+   * \param rxPower received power per band (W)
    */
-  void AddForeignSignal (Time duration, double rxPower);
+  void AddForeignSignal (Time duration, RxPowerWattPerChannelBand rxPower);
   /**
    * Calculate the SNIR at the start of the payload and accumulate
    * all SNIR changes in the SNIR vector for each MPDU of an A-MPDU.
@@ -196,37 +223,46 @@
    * this class.
    *
    * \param event the event corresponding to the first time the corresponding PPDU arrives
+   * \param channelWidth the channel width used to transmit the PSDU (in MHz)
+   * \param band identify the band used by the PSDU
+   * \param staId the station ID of the PSDU (only used for MU)
    * \param relativeMpduStartStop the time window (pair of start and end times) of PHY payload to focus on
    *
    * \return struct of SNR and PER (with PER being evaluated over the provided time window)
    */
-  struct InterferenceHelper::SnrPer CalculatePayloadSnrPer (Ptr<Event> event, std::pair<Time, Time> relativeMpduStartStop) const;
+  struct InterferenceHelper::SnrPer CalculatePayloadSnrPer (Ptr<Event> event, uint16_t channelWidth, WifiSpectrumBand band,
+                                                            uint16_t staId, std::pair<Time, Time> relativeMpduStartStop) const;
   /**
    * Calculate the SNIR for the event (starting from now until the event end).
    *
    * \param event the event corresponding to the first time the corresponding PPDU arrives
+   * \param channelWidth the channel width (in MHz)
+   * \param nss the number of spatial streams
+   * \param band identify the band used by the PSDU
    *
    * \return the SNR for the PPDU in linear scale
    */
-  double CalculateSnr (Ptr<Event> event) const;
+  double CalculateSnr (Ptr<Event> event, uint16_t channelWidth, uint8_t nss, WifiSpectrumBand band) const;
   /**
    * Calculate the SNIR at the start of the non-HT PHY header and accumulate
    * all SNIR changes in the SNIR vector.
    *
    * \param event the event corresponding to the first time the corresponding PPDU arrives
+   * \param band identify the band used by the PSDU
    *
    * \return struct of SNR and PER
    */
-  struct InterferenceHelper::SnrPer CalculateNonHtPhyHeaderSnrPer (Ptr<Event> event) const;
+  struct InterferenceHelper::SnrPer CalculateNonHtPhyHeaderSnrPer (Ptr<Event> event, WifiSpectrumBand band) const;
   /**
    * Calculate the SNIR at the start of the HT PHY header and accumulate
    * all SNIR changes in the SNIR vector.
    *
    * \param event the event corresponding to the first time the corresponding PPDU arrives
+   * \param band identify the band used by the PSDU
    *
    * \return struct of SNR and PER
    */
-  struct InterferenceHelper::SnrPer CalculateHtPhyHeaderSnrPer (Ptr<Event> event) const;
+  struct InterferenceHelper::SnrPer CalculateHtPhyHeaderSnrPer (Ptr<Event> event, WifiSpectrumBand band) const;
 
   /**
    * Notify that RX has started.
@@ -248,11 +284,12 @@
    *
    * \param signal signal power, W
    * \param noiseInterference noise and interference power, W
-   * \param txVector the TXVECTOR
+   * \param channelWidth signal width (MHz)
+   * \param nss the number of spatial streams
    *
    * \return SNR in linear scale
    */
-  double CalculateSnr (double signal, double noiseInterference, WifiTxVector txVector) const;
+  double CalculateSnr (double signal, double noiseInterference, uint16_t channelWidth, uint8_t nss) const;
   /**
    * Calculate the success rate of the chunk given the SINR, duration, and Wi-Fi mode.
    * The duration and mode are used to calculate how many bits are present in the chunk.
@@ -307,11 +344,16 @@
   };
 
   /**
-   * typedef for a multimap of NiChanges
+   * typedef for a multimap of NiChange
    */
   typedef std::multimap<Time, NiChange> NiChanges;
 
   /**
+   * Map of NiChanges per band
+   */
+  typedef std::map <WifiSpectrumBand, NiChanges> NiChangesPerBand;
+
+  /**
    * Append the given Event.
    *
    * \param event
@@ -321,11 +363,12 @@
    * Calculate noise and interference power in W.
    *
    * \param event the event
-   * \param ni the NiChanges
+   * \param nis the NiChanges
+   * \param band the band
    *
    * \return noise and interference power
    */
-  double CalculateNoiseInterferenceW (Ptr<Event> event, NiChanges *ni) const;
+  double CalculateNoiseInterferenceW (Ptr<Event> event, NiChangesPerBand *nis, WifiSpectrumBand band) const;
   /**
    * Calculate the success rate of the payload chunk given the SINR, duration, and Wi-Fi mode.
    * The duration and mode are used to calculate how many bits are present in the chunk.
@@ -333,72 +376,73 @@
    * \param snir the SINR
    * \param duration the duration of the chunk
    * \param txVector the TXVECTOR
+   * \param staId the station ID of the PSDU (only used for MU)
    *
    * \return the success rate
    */
-  double CalculatePayloadChunkSuccessRate (double snir, Time duration, WifiTxVector txVector) const;
+  double CalculatePayloadChunkSuccessRate (double snir, Time duration, WifiTxVector txVector, uint16_t staId) const;
   /**
    * Calculate the error rate of the given PHY payload only in the provided time
    * window (thus enabling per MPDU PER information). The PHY payload can be divided into
    * multiple chunks (e.g. due to interference from other transmissions).
    *
    * \param event the event
-   * \param ni the NiChanges
+   * \param channelWidth the channel width used to transmit the PSDU (in MHz)
+   * \param nis the NiChanges
+   * \param band identify the band used by the PSDU
+   * \param staId the station ID of the PSDU (only used for MU)
    * \param window time window (pair of start and end times) of PHY payload to focus on
    *
    * \return the error rate of the payload
    */
-  double CalculatePayloadPer (Ptr<const Event> event, NiChanges *ni, std::pair<Time, Time> window) const;
+  double CalculatePayloadPer (Ptr<const Event> event, uint16_t channelWidth, NiChangesPerBand *nis, WifiSpectrumBand band,
+                              uint16_t staId, std::pair<Time, Time> window) const;
   /**
    * Calculate the error rate of the non-HT PHY header. The non-HT PHY header
    * can be divided into multiple chunks (e.g. due to interference from other transmissions).
    *
    * \param event the event
-   * \param ni the NiChanges
+   * \param nis the NiChanges
+   * \param band the band
    *
    * \return the error rate of the non-HT PHY header
    */
-  double CalculateNonHtPhyHeaderPer (Ptr<const Event> event, NiChanges *ni) const;
+  double CalculateNonHtPhyHeaderPer (Ptr<const Event> event, NiChangesPerBand *nis, WifiSpectrumBand band) const;
   /**
    * Calculate the error rate of the HT PHY header. TheHT PHY header
    * can be divided into multiple chunks (e.g. due to interference from other transmissions).
    *
    * \param event the event
-   * \param ni the NiChanges
+   * \param nis the NiChanges
+   * \param band the band
    *
    * \return the error rate of the HT PHY header
    */
-  double CalculateHtPhyHeaderPer (Ptr<const Event> event, NiChanges *ni) const;
+  double CalculateHtPhyHeaderPer (Ptr<const Event> event, NiChangesPerBand *nis, WifiSpectrumBand band) const;
 
-  double m_noiseFigure; /**< noise figure (linear) */
-  Ptr<ErrorRateModel> m_errorRateModel; ///< error rate model
-  uint8_t m_numRxAntennas; /**< the number of RX antennas in the corresponding receiver */
-  /// Experimental: needed for energy duration calculation
-  NiChanges m_niChanges;
-  double m_firstPower; ///< first power in watts
-  bool m_rxing; ///< flag whether it is in receiving state
+  double m_noiseFigure;                                    //!< noise figure (linear)
+  Ptr<ErrorRateModel> m_errorRateModel;                    //!< error rate model
+  uint8_t m_numRxAntennas;                                 //!< the number of RX antennas in the corresponding receiver
+  NiChangesPerBand m_niChangesPerBand;                     //!< NI Changes for each band
+  std::map <WifiSpectrumBand, double> m_firstPowerPerBand; //!< first power of each band in watts
+  bool m_rxing;                                            //!< flag whether it is in receiving state
 
   /**
    * Returns an iterator to the first NiChange that is later than moment
    *
    * \param moment time to check from
+   * \param band identify the band to check
    * \returns an iterator to the list of NiChanges
    */
-  NiChanges::const_iterator GetNextPosition (Time moment) const;
-  /**
-   * Returns an iterator to the first NiChange that is later than moment
-   *
-   * \param moment time to check from
-   * \returns an iterator to the list of NiChanges
-   */
-  //NiChanges::iterator GetNextPosition (Time moment);
+  NiChanges::const_iterator GetNextPosition (Time moment, WifiSpectrumBand band) const;
   /**
    * Returns an iterator to the last NiChange that is before than moment
    *
    * \param moment time to check from
+   * \param band identify the band to check
    * \returns an iterator to the list of NiChanges
    */
-  NiChanges::const_iterator GetPreviousPosition (Time moment) const;
+  NiChanges::const_iterator GetPreviousPosition (Time moment, WifiSpectrumBand band) const;
 
   /**
    * Add NiChange to the list at the appropriate position and
@@ -406,9 +450,10 @@
    *
    * \param moment time to check from
    * \param change the NiChange to add
+   * \param band identify the band to check
    * \returns the iterator of the new event
    */
-  NiChanges::iterator AddNiChangeEvent (Time moment, NiChange change);
+  NiChanges::iterator AddNiChangeEvent (Time moment, NiChange change, WifiSpectrumBand band);
 };
 
 } //namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.32/src/wifi/model/mac-low.cc ns-3.33/src/wifi/model/mac-low.cc
--- ns-3.32/src/wifi/model/mac-low.cc	2020-10-06 15:35:43.000000000 -0700
+++ ns-3.33/src/wifi/model/mac-low.cc	2021-01-09 10:19:22.000000000 -0800
@@ -650,6 +650,11 @@
   NS_LOG_FUNCTION (this);
   NS_LOG_DEBUG ("PSDU reception started for " << psduDuration.ToDouble (Time::US)
                 << " us (txVector: " << txVector << ")");
+  if (psduDuration.IsZero ())
+    {
+      //PHY-RXEND immediately follows PHY-RXSTART (e.g. when PPDU has been filtered), no need to reschedule timeouts (CCA will take over)
+      return;
+    }
   NS_ASSERT (psduDuration.IsStrictlyPositive ());
 
   if (m_normalAckTimeoutEvent.IsRunning ())
@@ -889,6 +894,8 @@
     }
   else if (hdr.IsBlockAckReq () && hdr.GetAddr1 () == m_self)
     {
+      m_stationManager->ReportRxOk (hdr.GetAddr2 (), rxSnr, txVector.GetMode ());
+
       CtrlBAckRequestHeader blockAckReq;
       packet->RemoveHeader (blockAckReq);
       if (!blockAckReq.IsMultiTid ())
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.32/src/wifi/model/mac-rx-middle.cc ns-3.33/src/wifi/model/mac-rx-middle.cc
--- ns-3.32/src/wifi/model/mac-rx-middle.cc	2020-10-06 15:35:43.000000000 -0700
+++ ns-3.33/src/wifi/model/mac-rx-middle.cc	2021-01-09 10:19:22.000000000 -0800
@@ -236,8 +236,8 @@
   return false;
 }
 
-Ptr<Packet>
-MacRxMiddle::HandleFragments (Ptr<Packet> packet, const WifiMacHeader *hdr,
+Ptr<const Packet>
+MacRxMiddle::HandleFragments (Ptr<const Packet> packet, const WifiMacHeader *hdr,
                               OriginatorRxStatus *originator)
 {
   NS_LOG_FUNCTION (packet << hdr << originator);
@@ -300,7 +300,6 @@
 {
   NS_LOG_FUNCTION (*mpdu);
   const WifiMacHeader* hdr = &mpdu->GetHeader ();
-  Ptr<Packet> packet = mpdu->GetPacket ()->Copy ();
   NS_ASSERT (hdr->IsData () || hdr->IsMgt ());
   if (!m_pcfCallback.IsNull ())
     {
@@ -329,7 +328,7 @@
                     ", frag=" << +hdr->GetFragmentNumber ());
       return;
     }
-  Ptr<Packet> aggregate = HandleFragments (packet, hdr, originator);
+  Ptr<const Packet> aggregate = HandleFragments (mpdu->GetPacket (), hdr, originator);
   if (aggregate == 0)
     {
       return;
@@ -341,7 +340,7 @@
     {
       originator->SetSequenceControl (hdr->GetSequenceControl ());
     }
-  if (aggregate == packet)
+  if (aggregate == mpdu->GetPacket ())
     {
       m_callback (mpdu);
     }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.32/src/wifi/model/mac-rx-middle.h ns-3.33/src/wifi/model/mac-rx-middle.h
--- ns-3.32/src/wifi/model/mac-rx-middle.h	2020-10-06 15:35:43.000000000 -0700
+++ ns-3.33/src/wifi/model/mac-rx-middle.h	2021-01-09 10:19:22.000000000 -0800
@@ -110,8 +110,8 @@
    * \return a packet if the packet is successfully reassembled (or not a fragment),
    *         0 if we failed to reassemble the packet (e.g. missing fragments/out-of-order).
    */
-  Ptr<Packet> HandleFragments (Ptr<Packet> packet, const WifiMacHeader* hdr,
-                               OriginatorRxStatus *originator);
+  Ptr<const Packet> HandleFragments (Ptr<const Packet> packet, const WifiMacHeader* hdr,
+                                     OriginatorRxStatus *originator);
 
   /**
    * typedef for a map between address and OriginatorRxStatus
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.32/src/wifi/model/minstrel-ht-wifi-manager.cc ns-3.33/src/wifi/model/minstrel-ht-wifi-manager.cc
--- ns-3.32/src/wifi/model/minstrel-ht-wifi-manager.cc	2020-10-06 15:35:43.000000000 -0700
+++ ns-3.33/src/wifi/model/minstrel-ht-wifi-manager.cc	2021-01-09 10:19:23.000000000 -0800
@@ -81,9 +81,14 @@
     .SetGroupName ("Wifi")
     .AddAttribute ("UpdateStatistics",
                    "The interval between updating statistics table ",
-                   TimeValue (MilliSeconds (100)),
+                   TimeValue (MilliSeconds (50)),
                    MakeTimeAccessor (&MinstrelHtWifiManager::m_updateStats),
                    MakeTimeChecker ())
+    .AddAttribute ("LegacyUpdateStatistics",
+                   "The interval between updating statistics table (for legacy Minstrel) ",
+                   TimeValue (MilliSeconds (100)),
+                   MakeTimeAccessor (&MinstrelHtWifiManager::m_legacyUpdateStats),
+                   MakeTimeChecker ())
     .AddAttribute ("LookAroundRate",
                    "The percentage to try other rates (for legacy Minstrel)",
                    UintegerValue (10),
@@ -428,7 +433,7 @@
           NS_LOG_INFO ("non-HT station " << station);
           station->m_isHt = false;
           // We will use non-HT minstrel for this station. Initialize the manager.
-          m_legacyManager->SetAttribute ("UpdateStatistics", TimeValue (m_updateStats));
+          m_legacyManager->SetAttribute ("UpdateStatistics", TimeValue (m_legacyUpdateStats));
           m_legacyManager->SetAttribute ("LookAroundRate", UintegerValue (m_lookAroundRate));
           m_legacyManager->SetAttribute ("EWMA", UintegerValue (m_ewmaLevel));
           m_legacyManager->SetAttribute ("SampleColumn", UintegerValue (m_nSampleCol));
@@ -860,7 +865,7 @@
           NS_LOG_DEBUG ("New datarate: " << dataRate);
           m_currentRate = dataRate;
         }
-      return WifiTxVector (mode, GetDefaultTxPowerLevel (), GetPreambleForTransmission (mode.GetModulationClass (), GetShortPreambleEnabled (), UseGreenfieldForDestination (GetAddress (station))), group.sgi ? 400 : 800, GetNumberOfAntennas (), group.streams, GetNess (station), GetChannelWidthForTransmission (mode, group.chWidth), GetAggregation (station) && !station->m_isSampling, false);
+      return WifiTxVector (mode, GetDefaultTxPowerLevel (), GetPreambleForTransmission (mode.GetModulationClass (), GetShortPreambleEnabled (), UseGreenfieldForDestination (GetAddress (station))), group.sgi ? 400 : 800, GetNumberOfAntennas (), group.streams, GetNess (station), GetChannelWidthForTransmission (mode, group.chWidth), GetAggregation (station) && !station->m_isSampling);
     }
 }
 
@@ -936,7 +941,7 @@
       NS_ASSERT (rateFound);
 
       return WifiTxVector (rtsRate, GetDefaultTxPowerLevel (), GetPreambleForTransmission (rtsRate.GetModulationClass (), GetShortPreambleEnabled (), UseGreenfieldForDestination (GetAddress (station))),
-                           800, 1, 1, 0, GetChannelWidthForTransmission (rtsRate, GetChannelWidth (station)), GetAggregation (station), false);
+                           800, 1, 1, 0, GetChannelWidthForTransmission (rtsRate, GetChannelWidth (station)), GetAggregation (station));
     }
 }
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.32/src/wifi/model/minstrel-ht-wifi-manager.h ns-3.33/src/wifi/model/minstrel-ht-wifi-manager.h
--- ns-3.32/src/wifi/model/minstrel-ht-wifi-manager.h	2020-10-06 15:35:43.000000000 -0700
+++ ns-3.33/src/wifi/model/minstrel-ht-wifi-manager.h	2021-01-09 10:19:23.000000000 -0800
@@ -339,7 +339,7 @@
   uint16_t FindRate (MinstrelHtWifiRemoteStation *station);
 
   /**
-   * Update the Minstrel Table every 1/10 seconds.
+   * Update the Minstrel Table.
    *
    * \param station the minstrel HT wifi remote station
    */
@@ -567,7 +567,8 @@
    */
   WifiModeList GetHtDeviceMcsList (void) const;
 
-  Time m_updateStats;        //!< How frequent do we calculate the stats (1/10 seconds).
+  Time m_updateStats;        //!< How frequent do we calculate the stats.
+  Time m_legacyUpdateStats;  //!< How frequent do we calculate the stats for legacy MinstrelWifiManager.
   uint8_t m_lookAroundRate;  //!< The % to try other rates than our current rate.
   uint8_t m_ewmaLevel;       //!< Exponential weighted moving average level (or coefficient).
   uint8_t m_nSampleCol;      //!< Number of sample columns.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.32/src/wifi/model/minstrel-wifi-manager.cc ns-3.33/src/wifi/model/minstrel-wifi-manager.cc
--- ns-3.32/src/wifi/model/minstrel-wifi-manager.cc	2020-10-06 15:35:43.000000000 -0700
+++ ns-3.33/src/wifi/model/minstrel-wifi-manager.cc	2021-01-09 10:19:23.000000000 -0800
@@ -381,7 +381,7 @@
       NS_LOG_DEBUG ("New datarate: " << mode.GetDataRate (channelWidth));
       m_currentRate = mode.GetDataRate (channelWidth);
     }
-  return WifiTxVector (mode, GetDefaultTxPowerLevel (), GetPreambleForTransmission (mode.GetModulationClass (), GetShortPreambleEnabled (), UseGreenfieldForDestination (GetAddress (station))), 800, 1, 1, 0, channelWidth, GetAggregation (station), false);
+  return WifiTxVector (mode, GetDefaultTxPowerLevel (), GetPreambleForTransmission (mode.GetModulationClass (), GetShortPreambleEnabled (), UseGreenfieldForDestination (GetAddress (station))), 800, 1, 1, 0, channelWidth, GetAggregation (station));
 }
 
 WifiTxVector
@@ -404,7 +404,7 @@
     {
       mode = GetNonErpSupported (station, 0);
     }
-  rtsTxVector = WifiTxVector (mode, GetDefaultTxPowerLevel (), GetPreambleForTransmission (mode.GetModulationClass (), GetShortPreambleEnabled (), UseGreenfieldForDestination (GetAddress (station))), 800, 1, 1, 0, channelWidth, GetAggregation (station), false);
+  rtsTxVector = WifiTxVector (mode, GetDefaultTxPowerLevel (), GetPreambleForTransmission (mode.GetModulationClass (), GetShortPreambleEnabled (), UseGreenfieldForDestination (GetAddress (station))), 800, 1, 1, 0, channelWidth, GetAggregation (station));
   return rtsTxVector;
 }
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.32/src/wifi/model/minstrel-wifi-manager.h ns-3.33/src/wifi/model/minstrel-wifi-manager.h
--- ns-3.32/src/wifi/model/minstrel-wifi-manager.h	2020-10-06 15:35:43.000000000 -0700
+++ ns-3.33/src/wifi/model/minstrel-wifi-manager.h	2021-01-09 10:19:23.000000000 -0800
@@ -188,7 +188,7 @@
   void UpdateRate (MinstrelWifiRemoteStation *station);
 
   /**
-   * Update the Minstrel Table every 1/10 seconds.
+   * Update the Minstrel Table.
    *
    * \param station the station object
    */
@@ -350,7 +350,7 @@
   typedef std::map<WifiMode, Time> TxTime;
 
   TxTime m_calcTxTime;      ///< to hold all the calculated TxTime for all modes
-  Time m_updateStats;       ///< how frequent do we calculate the stats (1/10 seconds)
+  Time m_updateStats;       ///< how frequent do we calculate the stats
   uint8_t m_lookAroundRate; ///< the % to try other rates than our current rate
   uint8_t m_ewmaLevel;      ///< exponential weighted moving average
   uint8_t m_sampleCol;      ///< number of sample columns
